---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.130.0.7"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.130.0.7"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
  creationTimestamp: "2022-03-08T10:14:19Z"
  generateName: machine-api-operator-784c77b6d4-
  labels:
    k8s-app: machine-api-operator
    pod-template-hash: 784c77b6d4
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:k8s-app: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b3d2c314-4b46-477e-8880-a7795fb3cf69"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"kube-rbac-proxy"}:
            .: {}
            f:args: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":8443,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kube-rbac-proxy"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/tls/private"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"machine-api-operator"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"COMPONENT_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"METRICS_PORT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"RELEASE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/machine-api-operator-config/images"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"config"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"images"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"machine-api-operator-tls"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:secretName: {}
    manager: kube-controller-manager
    operation: Update
    time: "2022-03-08T10:14:19Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2022-03-08T10:14:19Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2022-03-08T10:39:21Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.130.0.7"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2022-03-08T10:42:59Z"
  name: machine-api-operator-784c77b6d4-xfllc
  namespace: openshift-machine-api
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: machine-api-operator-784c77b6d4
    uid: b3d2c314-4b46-477e-8880-a7795fb3cf69
  resourceVersion: "15641"
  selfLink: /api/v1/namespaces/openshift-machine-api/pods/machine-api-operator-784c77b6d4-xfllc
  uid: a5005e20-cf64-4cf1-9412-cb96f13c95cb
spec:
  containers:
  - args:
    - --secure-listen-address=0.0.0.0:8443
    - --upstream=http://localhost:8080/
    - --tls-cert-file=/etc/tls/private/tls.crt
    - --tls-private-key-file=/etc/tls/private/tls.key
    - --config-file=/etc/kube-rbac-proxy/config-file.yaml
    - --logtostderr=true
    - --v=3
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:533973e0b3b8e64b0fd672a78ebabc5accc5f9a969c6a610ce14aa73d9685874
    imagePullPolicy: IfNotPresent
    name: kube-rbac-proxy
    ports:
    - containerPort: 8443
      name: https
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 20Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000270000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/kube-rbac-proxy
      name: config
    - mountPath: /etc/tls/private
      name: machine-api-operator-tls
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: machine-api-operator-token-2dckz
      readOnly: true
  - args:
    - start
    - --images-json=/etc/machine-api-operator-config/images/images.json
    - --alsologtostderr
    - --v=3
    command:
    - /machine-api-operator
    env:
    - name: RELEASE_VERSION
      value: 4.6.52
    - name: COMPONENT_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: METRICS_PORT
      value: "8080"
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ed187e9c9e7585720b3b407ceeeb827d2d4d38fad8843cd914677eb3ab53c13b
    imagePullPolicy: IfNotPresent
    name: machine-api-operator
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000270000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/machine-api-operator-config/images
      name: images
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: machine-api-operator-token-2dckz
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
  nodeSelector:
    node-role.kubernetes.io/master: ""
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000270000
    seLinuxOptions:
      level: s0:c16,c15
  serviceAccount: machine-api-operator
  serviceAccountName: machine-api-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - configMap:
      defaultMode: 420
      name: kube-rbac-proxy
    name: config
  - configMap:
      defaultMode: 420
      name: machine-api-operator-images
    name: images
  - name: machine-api-operator-tls
    secret:
      defaultMode: 420
      secretName: machine-api-operator-tls
  - name: machine-api-operator-token-2dckz
    secret:
      defaultMode: 420
      secretName: machine-api-operator-token-2dckz
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:38:47Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:42:59Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:42:59Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:38:47Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://a0b0412f861424f675703c4b83e8db4aab06846c629fe2e7fd38ef46e2304aca
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:533973e0b3b8e64b0fd672a78ebabc5accc5f9a969c6a610ce14aa73d9685874
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:533973e0b3b8e64b0fd672a78ebabc5accc5f9a969c6a610ce14aa73d9685874
    lastState: {}
    name: kube-rbac-proxy
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2022-03-08T10:39:22Z"
  - containerID: cri-o://bfb049d4687dd307cce89c84962fcea4880f9602a38a5d0655bf292ab71e1789
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ed187e9c9e7585720b3b407ceeeb827d2d4d38fad8843cd914677eb3ab53c13b
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ed187e9c9e7585720b3b407ceeeb827d2d4d38fad8843cd914677eb3ab53c13b
    lastState:
      terminated:
        containerID: cri-o://0f89bb6c1e6be920f37668d65568f2c13c7f851bb5865a0ef9a2642f9963c018
        exitCode: 255
        finishedAt: "2022-03-08T10:42:58Z"
        reason: Error
        startedAt: "2022-03-08T10:39:28Z"
    name: machine-api-operator
    ready: true
    restartCount: 1
    started: true
    state:
      running:
        startedAt: "2022-03-08T10:42:58Z"
  hostIP: 10.0.94.119
  phase: Running
  podIP: 10.130.0.7
  podIPs:
  - ip: 10.130.0.7
  qosClass: Burstable
  startTime: "2022-03-08T10:38:47Z"
